package yamlx

import (
	"log"
	"os"
	"reflect"

	"gopkg.in/yaml.v2"
)

// 初始化配置
func InitConfig(path string, configData interface{}) {
	// 判断是否指针
	if reflect.ValueOf(configData).Kind() != reflect.Ptr {
		panic("接收数据需要是指针类型")
	}

	data, err := os.ReadFile(path)
	if err != nil {
		log.Panicf("read config file error,%v", err)
	}

	err = yaml.Unmarshal(data, configData)
	if err != nil {
		log.Panicf("parse config file error, %v", err)
	}
}
